package PureMessage::DBI;
use strict;
use warnings;

# determine which base class (Pg or SQLite)
my $dsn;
our $DATABASE_DRIVER;
BEGIN {
    use PureMessage::Config qw/%config/;
    $dsn = $config{store}{pmx_quarantine}{dsn}
        or die "No dsn configured for pmx_quarantine!\n";

    $DATABASE_DRIVER = 'Pg';
    $DATABASE_DRIVER = 'SQLite' if $dsn =~ /sqlite/i;

}
use Class::DBI::Frozen::301;
use base "Class::DBI::$DATABASE_DRIVER";

__PACKAGE__->connection($dsn, '', '', { AutoCommit => 1, RaiseError => 0, PrintError => 1,});

1;
