package PureMessage::Group::Forward;
use strict;
use warnings;
use base 'PureMessage::DBI';

__PACKAGE__->table(q{pmx_forward_config});
__PACKAGE__->columns(Primary => 'access_right');
__PACKAGE__->columns(All => qw/access_right address subject description/);

sub name {
    my $self = shift;
    my $perm = $self->access_right;
    if ($perm =~ m#.+\.(.+)$#) {
        return $1;
    }
    return $perm;
}

1;
