package PureMessage::Group::Log;
use strict;
use warnings;
use PureMessage::Logger;
use base 'Exporter';
our @EXPORT_OK = qw/activity_log/;

my $gui_logger ||= PureMessage::Logger->new(
    ident  => 'GROUP', 
    log_to => q{activity_log},
);

sub activity_log {
    my ($user, @msgs) = @_;
    $user ||= 'system';
    foreach my $msg (@msgs) {
        chomp $msg;
        $gui_logger->log('INFO', "$user - $msg\n");
    }
}

1;
