package PureMessage::Multifile::Constants;
use strict;
use warnings;
use base qw(Exporter);
use PureMessage::Version qw($PREFIX);

our @EXPORT_OK = qw($MULTIFILE_DIR $MULTIFILE_CONF);

my $base_dir = qq{$PREFIX/var/lib};

our $MULTIFILE_DIR = qq{$base_dir/multifile};
our $MULTIFILE_CONF = qq{$base_dir/multifile.conf};

undef($base_dir);

sub new {
    my ($proto) = @_;
    my $class = ref($proto) || $proto;
    my $self = {};
    bless($self, $class);
    return $self;
}

1;
